Loading...
Searching...
No Matches
JoyAxisEventData Struct Reference

Additional data for joystick axis event. More...

`#include <src/common/event.h>`

Inheritance diagram for JoyAxisEventData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

unsigned char | axis = 0
| The joystick axis index.
int | value = 0
| The axis value (range: -32768 to 32767).

## Detailed Description

Additional data for joystick axis event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > JoyAxisEventData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## axis

unsigned char JoyAxisEventData::axis = 0

The joystick axis index.

## value

int JoyAxisEventData::value = 0

The axis value (range: -32768 to 32767).

The documentation for this struct was generated from the following file:

- src/common/event.h